import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { InstitucionCarrera } from '../../institucion-carrera/entity/institucion-carrera.entity';

@Entity()
export class Carrera {
  @PrimaryGeneratedColumn()
  id_carrera: number;

  @Column({ type: String, nullable: false, length: 150 })
  carrera: string;

  @Column({ type: String, nullable: false, length: 3 })
  clave: string;

  @OneToMany(
    () => InstitucionCarrera,
    (institucionCarrera) => institucionCarrera.carrera,
  )
  instituciones: InstitucionCarrera[];
}
