import {
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Carrera } from '../../carrera/entity/carrera.entity';
import { CarreraPrograma } from '../../carrera-programa/entity/carrera-programa.entity';
import { Institucion } from '../../institucion/entity/institucion.entity';
import { Nivel } from './nivel.entity';
import { Usuario } from '../../usuario/entity/usuario.entity';

@Entity()
export class InstitucionCarrera {
  @PrimaryGeneratedColumn()
  id_institucion_carrera: number;

  @ManyToOne(() => Carrera, (carrera) => carrera.instituciones)
  @JoinColumn({ name: 'id_carrera' })
  carrera: Carrera;

  @ManyToOne(() => Institucion, (institucion) => institucion.carreras)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @ManyToOne(() => Nivel, (nivel) => nivel.institucionesCarreras)
  @JoinColumn({ name: 'id_nivel' })
  nivel: Nivel;

  @OneToMany(
    () => CarreraPrograma,
    (carreraPrograma) => carreraPrograma.carrera,
  )
  programas: CarreraPrograma[];

  @OneToMany(() => Usuario, (usuario) => usuario.carrera)
  usuarios: Usuario[];
}
