import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionCarreraController } from './institucion-carrera.controller';
import { InstitucionCarreraService } from './institucion-carrera.service';
import { InstitucionCarrera } from './entity/institucion-carrera.entity';
import { Nivel } from './entity/nivel.entity';
import { InstitucionModule } from 'src/institucion/institucion.module';

@Module({
  imports: [
    InstitucionModule,
    TypeOrmModule.forFeature([InstitucionCarrera, Nivel]),
  ],
  controllers: [InstitucionCarreraController],
  providers: [InstitucionCarreraService],
  exports: [InstitucionCarreraService],
})
export class InstitucionCarreraModule {}
