import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { InstitucionCarrera } from './entity/institucion-carrera.entity';
import { InstitucionService } from '../institucion/institucion.service';

@Injectable()
export class InstitucionCarreraService {
  constructor(
    @InjectRepository(InstitucionCarrera)
    private repository: Repository<InstitucionCarrera>,
    private institucionService: InstitucionService,
  ) {}

  findAllByIdInstitucion(id_institucion: number) {
    return this.institucionService
      .findById(id_institucion)
      .then((institucion) => this.repository.find({ institucion }));
  }

  findById(id_institucion_carrera: number) {
    return this.repository
      .findOne({ id_institucion_carrera })
      .then((institucionCarrera) => {
        if (!institucionCarrera)
          throw new NotFoundException('No existe esta institución carrera.');
        return institucionCarrera;
      });
  }
}
