import { Injectable, ConflictException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { TipoEntrada } from './entity/tipo-entrada.entity';

@Injectable()
export class TipoEntradaService {
  constructor(
    @InjectRepository(TipoEntrada) private repository: Repository<TipoEntrada>,
  ) { }
  
  async create(tipo_entrada: string) {
    const nuevoTipoEntrada = this.repository.create({
      tipo_entrada
    })

    return this.repository.findOne({ tipo_entrada })
      .then((existeTipoEntrada) => {
      if(existeTipoEntrada) throw new ConflictException('Ya existe este tipo de entrada')
        return this.repository.save(nuevoTipoEntrada)
      })
    .then(()=> ({message: 'Se creo correctamente la nueva entrada'}))
  }

  findAll() {
    return this.repository.find()
  }
}
